net = mobilenetv2;
deepNetworkDesigner
% %     
    imds = imageDatastore('D:\datasets\kvasir\dataset', ...
        'IncludeSubfolders',true, ...
        'LabelSource','foldernames');
    [imdsTrain,imdsValidation] = splitEachLabel(imds,0.80);
    
    augimdsTrain = augmentedImageDatastore([224 224],imdsTrain);
    augimdsValidation = augmentedImageDatastore([224 224],imdsValidation);

    layer = 'Logits';
featuresTrain = activations(net,augimdsTrain,layer,'OutputAs','rows');
featuresTest = activations(net,augimdsValidation,layer,'OutputAs','rows');
    
    YTrain = imdsTrain.Labels;
    YTest = imdsValidation.Labels;
